Xelf is a simple 2-D game engine for Common Lisp.

It supports smooth scrolling, efficient collision detection between
game objects having axis-aligned bounding boxes, custom collision
detection, A-star pathfinding, and more. Future versions will support
3-D gameplay. Android support is also being worked on.

Please see the included file "COPYING" for license information.

Included documentation is in the ./doc directory in HTML and Org-mode
formats.

A remixable example game is in the subdirectory ./plong

Another, more complex remixable game is in ./squareball

Please report bugs to David O'Toole: dto@xelf.me

